## GwyColorButton GwyColorButton — A color displaying button |

## Functions

GtkWidget * | gwy_color_button_new ()
GtkWidget * | gwy_color_button_new_with_color ()
void | gwy_color_button_set_color ()
void | gwy_color_button_get_color ()
void | gwy_color_button_set_use_alpha ()
gboolean | gwy_color_button_get_use_alpha ()

## Properties

GwyRGBA * | color | Read / Write
gboolean | use-alpha | Read / Write

## Types and Values

struct | GwyColorButton
struct | GwyColorButtonClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkButton
                                ╰── GwyColorButton

## Implemented Interfaces

GwyColorButton implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

This widget is somewhat similar to GtkColorButton, or more likely GimpColorButton.

It does not have its own color selection dialog however, it's just an ordinary button displaying a color. You have to connect some callback to its "clicked" signal. Also it uses GwyRGBA instead of GdkColor.

## Functions

### gwy_color_button_new ()

    GtkWidget *
    gwy_color_button_new (void);

Creates a new color button. This returns a widget in the form of a small button containing a swatch representing the current selected color. When the button is clicked, a color-selection dialog will open, allowing the user to select a color. The swatch will be updated to reflect the new color when the user finishes.

#### Returns

a new color button.

### gwy_color_button_new_with_color ()

    GtkWidget *
    gwy_color_button_new_with_color (const GwyRGBA *color);

Creates a new color button.

#### Parameters

color | A GwyRGBA to set the current color with. |

#### Returns

a new color button.

### gwy_color_button_set_color ()

    void
    gwy_color_button_set_color (GwyColorButton *color_button,
                                const GwyRGBA *color);

Sets the current color to be `color` .

#### Parameters

color_button | a GwyColorButton. |
color | A GwyRGBA to set the current color with. |

### gwy_color_button_get_color ()

    void
    gwy_color_button_get_color (GwyColorButton *color_button,
                                GwyRGBA *color);

Sets `color` to be the current color in the GwyColorButton widget.

#### Parameters

color_button | a GwyColorButton. |
color | a GwyRGBA to fill in with the current color. |

### gwy_color_button_set_use_alpha ()

    void
    gwy_color_button_set_use_alpha (GwyColorButton *color_button,
                                    gboolean use_alpha);

Sets whether or not the color button should use the alpha channel.

#### Parameters

color_button | a GwyColorButton. |
use_alpha | `TRUE` if color button should use alpha channel, `FALSE` if not. |

### gwy_color_button_get_use_alpha ()

    gboolean
    gwy_color_button_get_use_alpha (GwyColorButton *color_button);

Does the color selection dialog use the alpha channel?

#### Parameters

color_button | a GwyColorButton. |

#### Returns

`TRUE` if the color sample uses alpha channel, `FALSE` if not.

## Types and Values

### struct GwyColorButton

    struct GwyColorButton;

### struct GwyColorButtonClass

    struct GwyColorButtonClass {
        GtkButtonClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
    };

## Property Details

### The `“color”` property

      “color”                    GwyRGBA *

The selected color.

Owner: GwyColorButton

Flags: Read / Write

### The `“use-alpha”` property

      “use-alpha”                gboolean

If this property is set to `TRUE`, the color swatch on the button is rendered against a checkerboard background to show its opacity and the opacity slider is displayed in the color selection dialog.

Owner: GwyColorButton

Flags: Read / Write

Default value: FALSE